#!/bin/sh

if [ -r /etc/xprofile ]
then
 . /etc/xprofile
fi

which pulseaudio >/dev/null 2>/dev/null
if [ $? -eq 0 ]
then
    pulseaudio --check >/dev/null 2>/dev/null
    if [ $? -ne 0 ]
    then
        pulseaudio --start
    fi
fi

USER="`id -un`"
env -U ${USER} startplasma-x11
